/*--------------------------------------------------------------
   Media Queries
--------------------------------------------------------------*/

@media (max-width: 1366px) {
  a.backtotop {
    right: 20px;
  }
}

@media (max-width: 1199px) {
  .hide-topbar-mobile .topbar {
    display: none;
  }
  .site-header .site-menu .extra-item {
    display: none;
  }
  .fh-icon-box-3 h4 {
    font-size: 18px;
  }
  .site-header .site-menu .site-nav {
    width: 100%;
  }
  .site-header .extra-item {
    text-align: left;
  }
  .site-header .extra-item .item-button {
    display: none;
  }
  .site-header .extra-item .social {
    padding-left: 20px;
  }
  .header-transparent .main-nav {
    text-align: left;
  }
  .header-transparent .main-nav ul.menu > li > a {
    padding-left: 0;
    padding-right: 15px;
  }
  .header-transparent .main-nav ul.menu > li > a:after {
    right: 0;
  }
  .header-transparent.hide-topbar-mobile .page-header .header-title {
    padding-top: 170px;
  }
  .page-header .breadcrumb-area .share .socials-share {
    opacity: 1;
  }
  .topbar .topbar-widgets {
    width: 100%;
    text-align: center;
  }
  .project-wrapper.col-4 {
    width: 50%;
  }
  .project-inner .project-summary {
    padding: 15px 20px;
    width: 100%;
    bottom: 0;
    opacity: 1;
  }
  .project-inner .project-icon,
  .project-inner:before {
    display: none;
  }
  body .fh-service .owl-pagination,
  body .fh-latest-post .owl-pagination,
  body .fh-testimonials .owl-pagination {
    right: 50%;
    top: inherit;
    bottom: -50px;
    -webkit-transform: translateX(50%);
    -ms-transform: translateX(50%);
    transform: translateX(50%);
    width: 100%;
  }
  body .fh-service.service-carousel {
    padding-bottom: 30px;
  }
  body .fh-latest-post,
  body .fh-testimonials {
    padding-bottom: 30px;
  }
  body .project-inner .project-summary h2 {
    font-size: 20px;
  }
  body .project-inner .project-cat a {
    font-size: 16px;
  }
  .woocommerce .widget_price_filter .price_slider_amount .button,
  .woocommerce .widget_price_filter .price_slider_amount .price_label {
    float: none;
  }
  div.vc-form-email {
    margin-bottom: 50px;
    background-color: rgba(0, 0, 0, 0.95);
    padding-top: 30px;
    padding-bottom: 30px;
  }
  div.no-background-img {
    background-image: none !important;
  }
}

@media (max-width: 1024px) {
  .container {
    padding-left: 15px;
    padding-right: 15px;
  }
  .main-nav {
    display: none;
  }
  .navbar-toggle {
    display: inline-block;
    margin: 0;
    padding: 18px 0 0 0;
  }
  .logo-dark.show-logo {
    padding: 10px 0;
    max-height: 60px;
  }
  .owl-theme .owl-dots .owl-dot {
    display: inline-block;
    display: none;
  }
  .header-sticky .site-header.minimized {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 9999;
    -webkit-transition: top 0.5s;
    transition: top 0.5s;
    border-bottom: 1px solid #f2f2f2;
  }
  .header-sticky .site-header.minimized .site-menu {
    position: static;
    top: inherit;
    width: 50%;
  }
  .header-sticky.admin-bar .site-header.minimized {
    top: 32px;
  }
  .header-sticky.admin-bar .site-header.minimized .site-menu {
    top: inherit;
  }
  .header-sticky.header-v2 .site-header.minimized .site-menu {
    -webkit-transform: translate(0);
    -ms-transform: translate(0);
    transform: translate(0);
  }
  .header-sticky.header-v3 .site-header.minimized {
    border: none;
  }
  .header-sticky.header-v3 .site-header.minimized .header-main {
    padding: 20px 0;
  }
  .header-sticky.header-v3 .site-header.minimized .header-main .site-logo,
  .header-sticky.header-v3 .site-header.minimized .header-main .site-menu {
    width: 50%;
  }
  .header-sticky.header-v3 .site-header.minimized .site-menu {
    position: static;
    top: inherit;
    width: inherit;
  }
  .header-sticky.header-v3.admin-bar .site-header.minimized .header-main {
    top: 32px;
  }
  .header-sticky.header-v3.admin-bar .site-header.minimized .site-menu {
    top: inherit;
  }
  .header-sticky.header-v4 .site-header.minimized {
    border-bottom: 1px solid #f2f2f2;
  }
  .header-sticky.header-v4 .site-header.minimized .site-menu {
    border: none;
  }
  .header-v1 .site-header .site-contact,
  .header-v2 .site-header .site-contact,
  .header-v4 .site-header .site-contact,
  .header-v1 .site-header .site-menu,
  .header-v2 .site-header .site-menu,
  .header-v4 .site-header .site-menu {
    width: 50%;
  }
  .header-v1 .site-header .site-contact .container,
  .header-v2 .site-header .site-contact .container,
  .header-v4 .site-header .site-contact .container,
  .header-v1 .site-header .site-menu .container,
  .header-v2 .site-header .site-menu .container,
  .header-v4 .site-header .site-menu .container {
    width: 100%;
  }
  .header-v1 .site-header .site-logo,
  .header-v2 .site-header .site-logo,
  .header-v4 .site-header .site-logo {
    width: 100%;
  }
  .header-v1 .site-header .site-contact,
  .header-v2 .site-header .site-contact,
  .header-v4 .site-header .site-contact {
    float: left;
    padding: 0px 0;
  }
  .header-v1 .site-header .site-contact .site-extra-text,
  .header-v2 .site-header .site-contact .site-extra-text,
  .header-v4 .site-header .site-contact .site-extra-text {
    display: none;
  }
  .header-v1 .site-header .site-menu,
  .header-v2 .site-header .site-menu,
  .header-v4 .site-header .site-menu {
    background-color: #fff;
    float: right;
  }
  .header-v2 .site-header .site-menu {
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    transform: translateY(0);
  }
  .header-v2 .page-header .header-title {
    padding-top: 130px;
  }
  .header-v3 .navbar-toggle {
    padding: 15px 0 0 0;
  }
  .header-v3.hide-topbar-mobile .page-header .header-title {
    padding-top: 170px;
  }
  .service-sidebar .download .item-download span {
    font-size: 10px;
  }
  .service-sidebar .download .item-download a {
    font-size: 12px;
  }
  .project .entry-thumbnail {
    width: 100%;
    text-align: center;
    margin-bottom: 30px;
  }
  .project .entry-info {
    width: 100%;
  }
  .service .service-thumbnail a:before,
  .service .service-thumbnail a:after,
  .service .service-thumbnail a i {
    display: none;
  }
  div.no-background-img {
    background-image: none !important;
  }
  div.no-background-img .fh-form-2 {
    margin-top: 50px;
  }
  div.el-margin {
    margin-right: 0 !important;
  }
  .fh-testimonials-2.style-1.img-no-margin div.owl-pagination {
    top: inherit;
    right: inherit;
  }
  .fh-testimonials-2 .owl-carousel .owl-item {
    text-align: left;
  }
  .fh-service-2 div.overlay {
    opacity: 1;
  }
  .fh-service-2 .item-service {
    display: inline-block;
  }
  .fh-service-2 div.service-content {
    text-align: center;
    padding-top: 60px;
  }
  .fh-service-2 div.service-content h1 {
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    transform: translateY(0);
  }
  .fh-service-2 div.service-content a,
  .fh-service-2 div.service-content a.readmore {
    opacity: 1;
  }
  .fh-service .entry-thumbnail .overlay,
  .fh-service .entry-thumbnail i,
  .fh-service .entry-thumbnail:after {
    display: none;
  }
  div.fh-service-3 a {
    background-color: #222222;
  }
  div.fh-latest-project .item-project .project-summary {
    top: auto !important;
    bottom: 0;
    -webkit-transform: translate(0, 0) !important;
    -ms-transform: translate(0, 0) !important;
    transform: translate(0, 0) !important;
    background-color: #ffc811;
    opacity: 1;
  }
  div.fh-latest-project .item-project .project-summary h3 {
    font-size: 18px;
    margin-bottom: 0;
  }
  div.fh-latest-project .item-project:after,
  div.fh-latest-project .item-project i,
  div.fh-latest-project .item-project .overlay {
    display: none;
  }
  div.fh-latest-project.style-1 .item-project .project-summary {
    padding: 5px;
  }
  div.fh-latest-project.style-2 .item-project .project-summary {
    padding: 10px 5px;
  }
  div.fh-latest-project.style-2 .item-project .project-summary p {
    display: none;
  }
  .fh-team div.team-member .overlay {
    display: none;
  }
  .fh-team div.team-member .phone:after,
  .fh-team div.team-member .phone .number:after {
    display: none;
  }
  .fh-team div.team-member .phone i {
    opacity: 1;
    bottom: 5px;
    font-size: 20px;
  }
  .fh-team div.team-member .phone .number {
    opacity: 1;
    bottom: 0;
    left: 50%;
    -webkit-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    transform: translateX(-50%);
    width: 100%;
    text-align: center;
  }
  .fh-team div.team-member ul {
    opacity: 1;
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    transform: translateY(0);
    top: auto;
    bottom: 35px;
  }
  .fh-team div.team-member ul li a {
    color: #ffc811;
    background-color: #fff;
  }
  div.fh-phone a,
  div.fh-phone .hotline {
    float: none;
  }
  .backtotop {
    width: 40px;
    height: 40px;
    line-height: 34px;
    font-size: 24px;
    border-width: 2px;
  }
  body .fh-testimonials.grid div[class*="col-md-4"]:nth-child(3n + 1) {
    clear: left;
  }
}

@media (max-width: 991px) {
  .owl-theme .owl-dots .owl-dot {
    display: inline-block;
    display: none;
  }
  .fh-section-title h2 {
    margin-bottom: 20px;
  }
  .aboutfst {
    margin-bottom: 30px;
  }
  .single-right .blog-sidebar .factoryhub-widget,
  .single-left .blog-sidebar .factoryhub-widget {
    padding-right: 0;
    padding-left: 0;
    padding-top: 0;
    border: none;
  }
  .single-right.single-post .site-main,
  .single-right.blog-classic .site-main {
    padding-left: 0;
    padding-right: 0;
  }
  .blog-grid .blog-wrapper.col-md-4:nth-child(3n + 1) {
    clear: none;
  }
  .metas {
    padding-left: 15px;
  }
  .single-project .entry-content {
    padding-right: 15px;
    border: 0;
  }
  .project-wrapper {
    text-align: center;
  }
  .project-wrapper.col-4 {
    width: 100%;
  }
  body .fh-form {
    margin-top: 30px;
  }
  body .fh_vc_list-service .vc_column-inner {
    border: none !important;
    margin-bottom: 40px;
  }
  body .fh-testimonials.grid div[class*="col-md-4"]:nth-child(3n + 1) {
    clear: none;
  }
  .service-sidebar {
    margin-top: 50px;
  }
  .service-sidebar .download .item-download span {
    font-size: 14px;
  }
  .service-sidebar .download .item-download a {
    font-size: 16px;
  }
  .single-project .entry-thumbnail {
    margin-bottom: 25px;
  }
  .single-project .info-left,
  .single-project .info-right {
    width: 50%;
  }
  .single-project .info-left {
    float: left;
  }
  .single-project .info-right {
    float: right;
  }
  .footer-widgets .footer-3 {
    clear: left;
  }
  .site-footer .footer-text,
  .site-footer .footer-copyright,
  .site-footer div[class*="col-"] {
    text-align: center;
  }
  .woocommerce ul.products li.product.first {
    clear: none;
  }
  .woocommerce ul.products li.product .product-inner {
    -webkit-box-shadow: 0 2px 10px 0 rgba(0, 0, 0, 0.05);
    box-shadow: 0 2px 10px 0 rgba(0, 0, 0, 0.05);
  }
  .woocommerce ul.products li.product .product-inner img {
    border-color: transparent;
  }
  .woocommerce ul.products li.product .product-inner .product-quick-view {
    opacity: 1;
  }
  .woocommerce ul.products li.product .product-inner:hover img {
    border-color: transparent;
  }
  .woocommerce ul.products li.product .product-header::after {
    display: none;
  }
  .woocommerce ul.products li.product .product-header img {
    width: 100%;
  }
  .woocommerce ul.products li.product .add_to_cart_button,
  .woocommerce ul.products li.product .added_to_cart {
    opacity: 1;
    color: #ffc811;
    border-color: #ffc811;
  }
  .woocommerce table.shop_table.wishlist_table .product-stock-status,
  .woocommerce table.shop_table.wishlist_table .product-stock-stauts {
    display: none;
  }
  .woocommerce .shop-sidebar {
    padding-top: 50px;
  }
  .service.col-md-4:nth-child(3n + 1) {
    clear: none;
  }
  .service.col-sm-6:nth-child(2n + 1) {
    clear: left;
  }
  .latest-project-widget .latest-project {
    text-align: center;
  }
  .latest-project-widget .latest-project a:before {
    display: none;
  }
  .latest-project-widget .latest-project a i {
    opacity: 1;
  }
  .footer-social {
    padding-top: 20px;
  }
  .footer-widgets {
    padding-bottom: 15px;
  }
  .footer-sidebar {
    padding-bottom: 30px;
  }
  .owl-carousel .owl-item {
    text-align: center;
  }
  .fh-project-carousel .project-thumb .overlay,
  .fh-project-carousel .project-thumb i,
  .fh-project-carousel .project-thumb:after {
    display: none;
  }
  div.fh-service .item-service.col-md-4:nth-child(3n + 1),
  div.fh-service .item-service.col-md-6:nth-child(2n + 1) {
    clear: none;
  }
  .fh-service .item-service.col-sm-6:nth-child(2n + 1),
  .fh-service .item-service.col-xs-6:nth-child(2n + 1) {
    clear: left;
  }
}

@media (max-width: 782px) {
  .header-transparent.admin-bar .site-header {
    padding-top: 10px;
  }
  .admin-bar .primary-mobile-nav {
    top: 46px;
    padding-bottom: 60px;
  }
}

@media (max-width: 767px) {
  .page-header .breadcrumb-area nav {
    padding-bottom: 20px;
    text-align: center;
  }
  .page-header .breadcrumb-area .share {
    text-align: center;
  }
  .page-header .breadcrumb-area .share .socials-share {
    position: static;
    padding-top: 15px;
  }
  .all-service .service {
    text-align: center;
  }
  .owl-carousel .owl-item {
    text-align: left;
  }
  .dtlmrgimg {
    margin-bottom: 20px;
  }
  .aboutfst img {
    width: 100%;
  }
  .faq-page #accordion {
    max-width: 100%;
  }
  .faqform .paddbtm30 {
    padding-bottom: 0px !important;
  }
  .detailpage .margbtm40 {
    margin-bottom: 10px;
  }
  .aboutsec2 .vgap50 {
    height: 20px;
  }
  .fh-service-list {
    margin-bottom: 30px;
  }
  .request-quote1 .fh-section-title {
    margin-bottom: 15px;
  }
  @media (max-width: 767px) {
    .page-header .header-title h1,
    div.fh-section-title h2,
    div.fh-testimonials h3 {
      font-size: 26px;
      margin-bottom: 20px;
      margin-top: 140px;
    }
    .clients-log-o {
      padding-bottom: 0px !important;
    }
    .servicessec.spces-prod{
      padding-bottom: 0px !important;
    }
  .fh-related-project .owl-carousel .owl-item,
  .fh-testimonials .owl-carousel .owl-item,
  .fh-project-carousel .owl-carousel .owl-item {
    text-align: center;
  }
  .modal {
    display: none;
  }
  .woocommerce .shop-toolbar div[class*="col-"] {
    text-align: center;
  }
  .woocommerce .shop-toolbar form {
    display: inline-block;
  }
  .woocommerce ul.products li.product .product-inner .product-quick-view {
    display: none;
  }
  .woocommerce form.checkout table.shop_table thead th,
  .woocommerce form.checkout table.shop_table thead td {
    padding: 10px 15px;
  }
  .woocommerce form.checkout table.shop_table td,
  .woocommerce form.checkout table.shop_table th {
    padding: 15px 10px;
  }
  .woocommerce form.checkout table.shop_table td span.amount,
  .woocommerce form.checkout table.shop_table th span.amount {
    font-size: 14px;
  }
  .woocommerce form.checkout table.shop_table .cart_item td,
  .woocommerce form.checkout table.shop_table tfoot th:first-child {
    font-size: 14px;
  }
  .woocommerce ul#shipping_method li label {
    font-size: 14px;
  }
  .woocommerce-checkout .woocommerce-info {
    font-size: 14px;
  }
  .woocommerce-checkout .woocommerce-info a {
    font-size: 12px;
  }
  .fh-form {
    margin-top: 30px;
  }
  .fh-team {
    margin-bottom: 30px;
  }
  div.no-padding-top {
    padding-top: 0 !important;
  }
}

@media (max-width: 667px) {
  .single-post .entry-footer {
    text-align: center;
  }
  .single-post .entry-footer .post-navigation {
    float: none;
    margin-top: 15px;
  }
  .woocommerce form.checkout #payment,
  .woocommerce form.checkout table.shop_table {
    width: 100%;
    float: none;
    margin-left: 0;
    margin-right: 0;
  }
  .page-header .header-title {
    padding: 80px 0;
  }
  .page-header .header-title h1 {
    font-size: 32px;
  }
  .header-v3.hide-topbar-mobile .page-header .header-title {
    padding-top: 130px;
  }
  .blog-wrapper .cat-link,
  .blog-wrapper .comments-link {
    display: none;
  }
  .woocommerce table.shop_table .product-price {
    display: none;
  }
  .woocommerce table.shop_table thead th {
    font-size: 16px;
  }
  .woocommerce table.shop_table tr th,
  .woocommerce table.shop_table tr td {
    padding: 10px 15px;
  }
  .woocommerce table.shop_table td img,
  .woocommerce table.shop_table td a img {
    width: 45px;
  }
  .woocommerce table.shop_table td.product-name a {
    font-size: 12px;
  }
  .woocommerce table.shop_table td.product-subtotal {
    font-size: 14px;
  }
  .woocommerce table.shop_table.wishlist_table .product-price {
    display: table-cell;
  }
  .woocommerce-cart a.remove {
    font-size: 14px;
  }
  .woocommerce-cart a.remove .fa {
    font-size: 12px;
    margin-right: 5px;
  }
}

@media (max-width: 600px) {
  .topbar .widget {
    margin-bottom: 10px;
  }
  .header-sticky.admin-bar .site-header.minimized {
    top: 0;
  }
  .header-sticky.header-v3.admin-bar .site-header.minimized .header-main {
    top: 0;
  }
  .header-sticky.header-v3.admin-bar .site-header.minimized .site-menu {
    top: inherit;
  }
  .entry-title {
    line-height: 1.2;
    padding-bottom: 10px;
  }
  .single-project .entry-thumbnail .owl-controls .owl-pagination {
    bottom: 10px;
  }
  .comment-list .children {
    padding-left: 0;
  }
  .error404 .error-404 .search-form {
    max-width: 300px;
  }
  .error404 .error-404 .search-form label input {
    padding: 0;
  }
  .error404 .error-404 .search-form:after,
  .error404 .error-404 .search-form .search-submit {
    right: 5px;
  }
  .error404 .error-404 .search-form:before {
    right: 22px;
  }
  .woocommerce div.product .images-product,
  .woocommerce div.product div.summary {
    float: none;
    width: 100%;
    padding-left: 0;
    padding-right: 0;
  }
  .woocommerce div.product .images-product {
    text-align: center;
  }
  .woocommerce table.shop_table.wishlist_table .product-price {
    display: table-cell;
  }
  .woocommerce table.shop_table.wishlist_table thead th {
    font-size: 14px;
  }
  .woocommerce table.shop_table.wishlist_table .product-price > span {
    font-size: 14px;
  }
  .woocommerce table.shop_table.wishlist_table .product-add-to-cart a {
    font-size: 12px;
    min-height: 40px;
    line-height: 40px;
    width: 100px;
    padding: 0;
  }
  .woocommerce-account .woocommerce-MyAccount-navigation,
  .woocommerce-account .woocommerce-MyAccount-content {
    width: 100%;
    float: none;
    padding-left: 0;
    padding-right: 0;
  }
  .woocommerce-account .woocommerce-MyAccount-navigation {
    margin-bottom: 40px;
  }
  .woocommerce-account .woocommerce-MyAccount-navigation ul li {
    display: inline-block;
    padding-right: 10px;
  }
  div.fh-testimonials .owl-carousel .owl-item {
    text-align: center;
  }
  div.el-padding {
    padding: 30px !important;
  }
}

@media (max-width: 480px) {
  .header-v1 .site-header,
  .header-v2 .site-header,
  .header-v4 .site-header {
    padding: 0px 0;
  }
  .header-v1 .site-header .site-contact,
  .header-v2 .site-header .site-contact,
  .header-v4 .site-header .site-contact {
    padding: 0;
  }
  .header-v4 .navbar-toggle,
  .header-v3 .navbar-toggle,
  .header-v2 .navbar-toggle,
  .header-v1 .navbar-toggle {
    padding-top: 18px;
  }
  .woocommerce ul.products li.product {
    width: 100%;
  }
  .page-header .header-title h1,
  div.fh-section-title h2,
  div.fh-testimonials h3 {
    font-size: 26px;
    margin-bottom: 20px;
  }
  .fh-service .item-service {
    width: 100%;
  }
  .fh-service-2 div[class*="col-"] {
    width: 100%;
  }
  .fh-latest-post .item-latest-post,
  .fh-latest-project .project {
    width: 100%;
  }
  .all-project .project-wrapper {
    width: 100%;
  }
  body .fh-testimonials.grid .testi-item {
    width: 100%;
  }
}

@media (max-width: 414px) {
  .topbar .topbar-left .widget {
    border: 0;
    padding-right: 0;
  }
  .topbar .topbar-right .widget {
    padding-left: 0;
    padding-right: 0;
  }
  .site-header {
    padding-top: 22px;
    padding-bottom: 23px;
  }
  .single-project .single-project-title {
    font-size: 28px;
    line-height: 1.2;
  }
  .single-post .cat-link,
  .single-post .comments-link {
    display: none;
  }
  .single-post .entry-footer .share-title {
    display: block;
  }
  .single-post .socials-share {
    margin-left: 0;
  }
  .blog-list .blog-wrapper {
    padding-bottom: 25px;
    padding-top: 30px;
  }
  .blog-list .blog-wrapper .entry-thumbnail {
    float: none;
    margin-bottom: 15px;
  }
  .blog-list .blog-wrapper .entry-header,
  .blog-list .blog-wrapper .entry-content,
  .blog-list .blog-wrapper .read-more {
    margin-left: 0;
  }
  .comment .comment-author {
    float: none;
  }
  .comment .comment-meta {
    margin-left: 0;
    margin-top: 15px;
  }
  .all-project ul.filter,
  div.fh-latest-project ul.filter {
    display: block;
  }
  .all-project ul.filter li,
  div.fh-latest-project ul.filter li {
    display: block;
    margin: 0 auto;
    width: 60%;
    padding-left: 0;
    padding-right: 0;
  }
  .all-project ul.filter li:first-child,
  div.fh-latest-project ul.filter li:first-child {
    margin-left: auto;
  }
  .all-project ul.filter li:last-child,
  div.fh-latest-project ul.filter li:last-child {
    margin-right: auto;
  }
  .woocommerce table.shop_table tr th,
  .woocommerce table.shop_table tr td {
    padding: 10px;
  }
  .woocommerce table.shop_table td.product-name a {
    font-size: 0;
  }
  .woocommerce div.product div.summary .product-share a {
    margin-bottom: 10px;
  }
  .woocommerce form.checkout table.shop_table,
  .woocommerce form.checkout #payment {
    float: none;
    width: 100%;
    margin-left: 0;
    margin-right: 0;
  }
  .woocommerce form.checkout .form-row-first,
  .woocommerce form.checkout .form-row-last {
    float: none;
    width: 100%;
    padding-left: 0;
    padding-right: 0;
  }
  .woocommerce table.shop_table.wishlist_table .product-name {
    display: none;
  }
  .woocommerce-checkout .woocommerce-login-form,
  .woocommerce-checkout .woocommerce-coupon-form {
    float: none;
    width: 100%;
    padding: 0;
  }
  .woocommerce-cart a.remove {
    font-size: 0;
  }
  .woocommerce-cart table.cart td.actions .coupon .input-text,
  .woocommerce-cart table.cart td.actions .coupon .button {
    float: none;
    width: 100%;
    margin-bottom: 15px;
  }
  .woocommerce-cart table.cart td.actions .update-cart {
    float: none;
    width: 100%;
  }
  div.fh-image .img-item {
    float: none;
    width: 100%;
    padding: 0 0 10px 0;
  }
  div.fh-form .first-row,
  div.fh-form .last-row {
    float: none;
    width: 100%;
    padding: 0;
  }
  div.fh-form-email {
    padding: 15px;
  }
  .wpb_wrapper .fh-icon-box:first-child,
  .wpb_wrapper .fh-icon-box:last-child {
    float: none;
    width: 100%;
  }
  div.fh-testimonials-3 img {
    float: none;
    margin-bottom: 10px;
  }
  div.fh-testimonials-3 .testi-item {
    padding: 15px;
  }
  div.fh-testimonials-3 .testi-content {
    margin-right: 0;
  }
  div.fh-phone a,
  div.fh-phone .hotline {
    float: none;
  }
  div.fh-related-project .owl-controls .owl-buttons div,
  .related .products .owl-controls .owl-buttons div {
    display: none;
  }
}

@media (max-width: 375px) {
  .primary-mobile-nav {
    width: 280px;
    right: -280px;
  }
  div.el-padding {
    padding: 10px !important;
  }
  .woocommerce div.product form.cart .qty-label {
    display: none;
  }
  .woocommerce div.product form.cart div.quantity {
    margin-right: 15px;
  }
  .woocommerce div.product .woocommerce-tabs ul.tabs li {
    padding: 10px 20px;
  }
  .woocommerce table.shop_table.wishlist_table .product-add-to-cart a {
    min-width: 100px;
    width: 100px;
  }
  .woocommerce form.checkout table.shop_table tfoot th,
  .woocommerce form.checkout table.shop_table tfoot td {
    padding: 10px;
  }
}

@media only screen and (max-width: 1600px) {
  .contact-style-two .form-column .inner-box {
    padding: 100px 30px;
  }
}

@media only screen and (max-width: 1400px) {
}

@media only screen and (max-width: 1300px) {
  .contact-style-two .form-column {
    position: relative;
    width: 100%;
  }
  .contact-style-two .info-column {
    position: relative;
    float: right;
    width: 100%;
    height: auto;
    left: 0px;
    top: 0px;
  }
  .contact-style-two .info-column .inner-box {
    position: relative;
    display: block;
    text-align: center;
    padding: 80px 30px;
    height: auto;
  }
  .contact-style-two .info-column .inner-most {
    display: block;
  }
}

@media only screen and (max-width: 1200px) {
  .services-single .main-image img {
    width: 100%;
  }
  .headerfirst .main-menu .navigation > li {
    margin-right: 16px;
  }
  .header-info li {
    display: inline-block;
    margin-left: 20px;
    text-align: left;
  }
  .logo img {
    max-width: 100%;
  }
  .hdbox-right {
    font-size: 14px;
  }
  .main-menu .navigation > li > a {
    font-size: 16px;
    padding: 16px 10px 16px 0;
  }
  .headersecond .main-menu .navigation > li > a {
    padding: 33px 10px;
  }
  .inner-step input {
    width: 48%;
  }
}

@media only screen and (max-width: 992px) and (min-width: 768px) {
  .main-menu .navigation > li > a {
    font-size: 13px;
  }
  .header-info li {
    width: 29%;
  }
  .hdbox-left {
    display: block;
    font-size: 30px;
    text-align: left;
    width: 100%;
  }
  .bz_search_bar {
    padding: 20px 0 19px 15px;
  }
}

@media only screen and (max-width: 992px) {
  .project_cost .img_holder {
    position: relative;
    margin-top: 30px;
    max-width: 271px;
  }
  .footer-column .inner-title {
    margin-bottom: 15px;
  }
  .footer-column {
    padding: 30px 0;
    padding-left: 0;
    border-bottom: 1px solid #333;
  }
  ul.products li.product .product-header img {
    width: 100%;
  }
}

@media only screen and (max-width: 1140px) {
  .site-header.headerfirst {
    height: auto;
  }
  .site-header .header-firsttop .logo-outer,
  .site-header .header-firsttop .firsttop-right {
    width: 100%;
    text-align: center;
  }
  .site-header.header-style-three .header-firsttop .firsttop-right .main-menu {
    text-align: left;
  }
  .site-header .header-firsttop .logo-outer {
    margin-bottom: 30px;
  }
  .site-header .info-box {
    display: inline-block;
    margin: 10px 25px;
    float: none;
    text-align: left;
    width: 260px;
  }
  .site-header .info-box:last-child {
    text-align: center;
  }
  .site-header .header-firsttop .info-box::after {
    display: none;
  }
  .site-header .social-links-one {
    top: -10px;
  }
  .two-col-fluid .testimonial-column .inner-box,
  .two-col-fluid .form-column .inner-box {
    padding: 50px 15px;
    max-width: none;
    width: 100%;
  }
  .content-side {
    padding-right: 15px !important;
  }
}

@media only screen and (min-width: 768px) {
  .main-menu .navigation > li > ul,
  .main-menu .navigation > li > ul > li > ul {
    display: block !important;
    visibility: hidden;
    opacity: 0;
  }
}

@media only screen and (max-width: 1023px) {
  .page-wrapper {
    overflow: hidden;
  }
  .main-menu .navigation > li {
    margin-right: 10px;
  }
  .headerfirst .main-menu .navigation > li > a {
    padding-right: 0px;
  }
  .header-style-three .main-menu .navigation > li > a {
    padding-right: 10px;
  }
  .headerfirst .main-menu .navigation > li ul > li > ul {
    left: auto !important;
    right: 100% !important;
  }
  .site-header .header-firsttop .firsttop-right {
    width: 100%;
  }
  .site-header .header-firsttop .firsttop-column {
    margin-left: 0px;
    padding-right: 15px;
  }
  .sticky-header {
    display: none;
  }
  .two-col-fluid .content-column,
  .two-col-fluid .image-column {
    position: relative;
    left: 0px;
    top: 0px;
    width: 100%;
  }
  .two-col-fluid .content-column .inner-box {
    padding: 50px 15px;
    max-width: none;
  }
  .two-col-fluid .image-column {
    background-image: none !important;
  }
  .two-col-fluid .image-column .image-box {
    display: block;
  }
  .combo-section .map-column {
    position: relative;
    left: 0px;
    width: 100%;
    height: 200px;
  }
  .combo-section .form-column {
    width: 100%;
  }
  .main-footer .links-widget {
    padding-left: 0px;
  }
  .testimonial-style-three .slide-item .image-outer {
    width: 100%;
    margin: 0px 0px 25px;
  }
  .testimonial-style-three .slide-item .content-outer {
    width: 100%;
    text-align: center;
  }
  .gallery-section .gallery-title {
    margin-bottom: 30px;
    text-align: center;
  }
  .gallery-section .filters.right-aligned {
    text-align: center;
  }
}

@media only screen and (max-width: 992px) {
  .scroll-to-top.scroll-to-target {
    display: none !important;
  }
  .tp-revslider-slidesli:nth-child(2) .button {
    display: none !important;
  }
  footer .col-md-3 {
    margin-bottom: 30px;
  }
}

@media only screen and (max-width: 767px) {
  .blog-wrapper .entry-thumbnail a {
    display: block;
  }
  .blog-wrapper .entry-thumbnail a img {
    width: 100%;
  }
  .scroll-to-top {
    bottom: 25px;
    right: 10px;
    width: 30px;
    height: 30px;
    line-height: 24px;
    font-size: 17px;
  }
  .fh-contact-box {
    border: 1px solid #f4f4f4;
    margin-bottom: 20px;
  }
  .fh-service .entry-thumbnail {
    display: block;
  }
  .fh-service .owl-carousel div.owl-item img {
    max-width: 100%;
    width: 100%;
  }
  .owl-dots {
    display: none !important;
  }
  .owl-carousel {
    margin-left: 0px !important;
    margin-bottom: 0px !important;
  }
  .contact-section .info-column {
    padding-left: 15px;
  }
  .main-slider,
  .page-title {
    margin-top: 0px !important;
  }
  .main-slider .tp-caption {
    display: none !important;
  }
  .sortable-masonry .masonry-item {
    width: 100%;
  }
  .error-section .extra-big {
    font-size: 42px;
    line-height: 44px;
    margin-bottom: 15px;
  }
  .error-section .bigger-text {
    font-size: 24px;
    margin-bottom: 20px;
    line-height: 1.4em;
  }
  .error-section .text-lower strong {
    display: block;
  }
  .welcome-section .image-column {
    padding-right: 15px;
  }
  .testimonials-section .owl-controls {
    display: none;
  }
  .map-section .outer-container .info-container {
    padding: 30px 0px 15px 20px;
  }
  .page-title {
    padding: 50px 0px;
  }
  .page-title h1,
  .sec-title h2 {
    font-size: 24px;
  }
  .sec-title h3,
  .sidebar-page-container .blog-news-column h3 {
    font-size: 18px;
  }
  .default-title h2,
  .services-style-one .title-box h2,
  .subscribe-intro .column h2,
  .blog-detail .blog-news-column h3 {
    font-size: 20px;
  }
  .search-popup .search-form fieldset input[type="search"] {
    font-size: 15px;
    padding: 10px 15px;
    border-radius: 0px;
  }
  .search-popup .search-form fieldset input[type="submit"] {
    position: relative;
    width: 100%;
    border-radius: 0px;
  }
  .site-header .btn-outer::before {
    -webkit-transform: skew(0deg);
    -ms-transform: skew(0deg);
    -o-transform: skew(0deg);
    -moz-transform: skew(0deg);
    transform: skew(0deg);
  }
  .site-header .header-lower .bg-layer {
    width: 100%;
  }
  .fact-counter .column .inner {
    padding-left: 0px;
    text-align: center;
  }
  .fact-counter .column .inner .icon-box {
    position: relative;
    left: 0px;
    top: 0px;
    margin: 0 auto 30px;
  }
  .default-service-block .inner-box {
    padding-left: 25px;
    text-align: center;
  }
  .default-service-block .inner-box .icon-box {
    position: relative;
    left: 0px;
    top: 0px;
    margin: 0 auto 20px;
  }
  .default-section .gallery-column .row {
    padding-right: 0px;
  }
  .default-text-block {
    padding-left: 0px !important;
    padding-right: 0px !important;
  }
  .get-quote.style-two {
    padding-top: 0px;
  }
  .contact-section .form-column {
    padding-right: 15px;
  }
  .footer-bottom .col-xs-12 {
    width: 100%;
    text-align: center;
  }
  .footer-bottom .footer-nav ul {
    float: none !important;
  }
  .footer-bottom .footer-nav li {
    display: inline-block;
    float: none;
    margin: 0px 10px 10px;
  }
  .combo-section .form-column .inner-box {
    max-width: none;
    padding: 40px 20px;
  }
  .site-header .btn-outer .quote-btn {
    margin-top: 0px;
  }
  .site-header .main-menu {
    padding-top: 5px;
    width: 100%;
    margin: 0px;
  }
  .top-search-box {
    position: absolute;
    right: 150px;
    top: 0;
    z-index: 99;
  }
  .site-header.headerfirst {
    height: auto;
  }
  .contact-form .form-column {
    position: static;
    float: none;
    width: 100%;
    clear: both;
  }
  .contact-form .info-column {
    position: relative;
    text-align: center;
    height: 100%;
    min-height: 400px;
    width: 100%;
    clear: both;
  }
  .contact-form .info-column .inner-box {
    display: block;
    padding: 50px 20px 0;
  }
  .contact-form .form-column .inner-box {
    position: relative;
    padding: 60px 20px;
  }
  .single-blog-post {
    margin-bottom: 30px;
  }
  .footer-column .inner-title {
    margin-bottom: 15px;
  }
  .footer-column {
    padding: 30px 0;
    padding-left: 0;
    border-bottom: 1px solid #333;
  }
  .sec-padding {
    padding: 50px 0;
  }
  .testimonial-first {
    padding: 60px 0px;
  }
  .team-box {
    margin-bottom: 31px;
  }
  .vision-section .right-content-side {
    width: 100%;
    float: none;
  }
  .vision-section .left-image-side {
    position: relative;
    width: 100%;
    clear: both;
    height: 400px;
  }
  .vision-section .right-content-side .inner-box {
    position: relative;
    padding: 50px 20px;
  }
  .single-fact-counter {
    border-bottom: 0;
    margin-bottom: 30px;
  }
  .footer-four {
    margin-left: 0px;
  }
  .footer-second {
    margin-left: 0;
  }
  footer .col-md-3 {
    margin-bottom: 30px;
    border-bottom: 1px solid #333;
    padding-bottom: 30px;
  }
}

@media only screen and (max-width: 599px) {
  .tp-caption.tp-resizeme {
    display: none;
  }
  .site-header .social-links-one {
    top: 0px;
  }
  .site-header .header-top .top-left,
  .site-header .header-top .top-right {
    float: none !important;
    text-align: center;
  }
  .sidebar-page-container .author-box .inner {
    padding-left: 0px;
  }
  .sidebar-page-container .author-box .image {
    position: relative;
    margin-bottom: 20px;
  }
  .sidebar-page-container .comments-area .comment,
  .sidebar-page-container .comments-area .reply-comment {
    padding-left: 0px;
    padding-right: 0px;
    margin-left: 0px;
  }
  .sidebar-page-container .comments-area .comment-box .author-thumb {
    position: relative;
    top: 0px;
    left: 0px;
    margin-bottom: 20px !important;
  }
  .sidebar-page-container .comments-area .reply-comment {
    margin-left: 0px;
  }
  .sidebar-page-container .comments-area .comment-info .comment-time {
    float: left !important;
  }
  .featured-style-one .inner-box {
    text-align: center;
  }
  .featured-style-one .icon-box {
    margin: 0px auto 20px;
  }
  .blog-news-section {
    padding-right: 0px !important;
  }
  .sidebar-page-container .comments-area .reply-btn {
    position: relative !important;
    top: 0px !important;
    right: 0px;
  }
  .property-dimensions .image-column .image-box .dimensions-value,
  .map-section .outer-container .info-container .inner-box h4,
  .about-property .property-info .info-block .title,
  .call-to-action .column {
    font-size: 14px;
  }
  .blog-news-section .post-share-options .pull-right.text-left {
    float: left !important;
    padding-top: 10px !important;
    width: 100%;
  }
  .site-header .header-firsttop .firsttop-right {
    padding: 0px 0px;
  }
  .about-section .mission-vision .block .inner-box {
    padding-left: 0px;
  }
  .about-section .mission-vision .block .image {
    position: relative;
    width: 100%;
    margin-bottom: 20px;
  }
  .contact-style-one .info-column .info-box {
    padding: 30px 20px;
  }
  .contact-style-one .info-column .info-box h3,
  .team-style-one .intro-column h2,
  .parallax-style-one h2 {
    font-size: 20px;
  }
  .testimonial-style-one .slide-item .inner-box,
  .testimonial-style-two .slide-item .inner-box {
    padding-right: 0px;
    text-align: center;
  }
  .testimonial-style-two .slide-item .author-image {
    margin: 0 auto;
    float: none;
  }
  .testimonial-style-one .slide-item .author-image {
    margin: 0 auto 20px;
  }
  .testimonial-style-two .slide-item .author-info {
    float: none;
    text-align: center;
    margin-bottom: 30px;
  }
  .contact-style-two .info-column .inner-box,
  .contact-style-two .form-column .inner-box {
    padding: 70px 15px;
  }
  .about-section {
    text-align: center;
  }
  .about-section .who-we-are .info-list li {
    padding: 0px;
    text-align: center;
  }
  .about-section .who-we-are .info-list li .icon-box {
    position: relative;
    left: 0px;
    top: 0px;
    margin: 0px;
    margin: 0 auto 20px;
  }
  .page-info .pull-left,
  .page-info .pull-right {
    width: 100%;
    margin: 10px 0px;
  }
  .detailgalry .img_holder img {
    max-width: 100%;
    width: 100%;
  }
}

@media only screen and (max-width: 499px) {
  ul.products li.product {
    width: 100%;
  }
  ul.products li.product .product-header img {
    width: 100%;
  }
  div.product div.summary {
    width: 100%;
    margin-top: 20px;
  }
  div.product .images-product {
    width: 100%;
  }
  .header-main-box .nav-outer .search-box-btn {
    display: none;
  }
  .site-header .header-firsttop .firsttop-column.info-box {
    margin-left: auto;
    margin-right: auto;
    float: none;
  }
  .property-details .tabs-box .tab-buttons .tab-btn,
  .property-dimensions .tabs-box .tab-buttons .tab-btn {
    display: block;
    float: none;
    margin: 0px 0px 15px;
    text-align: center;
  }
  .default-portfolio-item .overlay-inner h3 {
    display: none;
  }
  .styled-list-three li:after {
    display: none;
  }
  .styled-list-three li {
    margin: 0px 0px 20px !important;
    padding-right: 0px;
    width: 100%;
  }
  .newsletter-style-two .form-group {
    padding-right: 0px;
  }
  .newsletter-style-two .form-group button {
    display: block;
    width: 100%;
    position: relative;
    left: 0px;
    top: 0px;
    text-align: center;
    margin-top: 15px;
  }
  .newsletter-style-one .form-group input[type="submit"],
  .newsletter-style-one .form-group button {
    position: relative;
    display: block;
    width: 100%;
    right: 0px;
    top: 0px;
    height: auto;
    padding: 10px 20px;
    text-align: center;
    background: #555555;
    border: none;
    font-size: 14px;
    margin-top: 10px;
    border-radius: 20px;
  }
  .serivec-sec .img_holder {
    display: block;
  }
  .serivec-sec .img_holder img {
    width: 100%;
  }
  .key_benefits_panel .panel-heading {
    height: auto;
  }
  .product-box2 .media a {
    width: 100%;
    float: none;
  }
  .product-box2 .media-body {
    padding: 8px 0px 0 0;
    width: 100%;
    float: none;
    clear: both;
  }
  .single-testm {
    border: 1px solid #ebebeb;
    padding: 80px 20px 20px;
    text-align: center;
  }
  .testwrp {
    background: #fff none repeat scroll 0 0;
    margin-left: 0;
    padding: 10px;
    margin-top: 60px;
  }
  .client-image {
    background: #fff none repeat scroll 0 0;
    border: 1px solid #ebebeb;
    border-radius: 100%;
    left: 50%;
    margin-top: -52px;
    padding: 10px;
    position: absolute;
    top: 0;
    transform: translateX(-50%);
  }
  .single-post blockquote {
    margin-left: 0 !important;
  }
}

@media only screen and (max-width: 380px) {
  .top-search-box {
    position: absolute;
    right: 60px;
    top: 0;
    z-index: 99;
  }
  .top-search-box .search-box {
    right: -60px;
  }
  .welcome_title,
  .Advance-tech,
  .modern-eqip {
    margin-bottom: 30px;
  }
  .welcome_sec .img_holder img {
    width: 100%;
  }
}

@media (max-width: 575px) {
  .site-logo.col-md-3.col-sm-6.col-xs-6 img {
    border-radius: 0 !important;
    width: 62px !important;
    height: 88px;
    max-height: 86%;
  }
  .header-v1 .site-menu {
    background-color: #04192b;
    padding-top: 20px;
  }
  div#slider1 {
    height: 250px !important;
  }
  .tp-fullwidth-forcer {
    display: none;
  }
  .div#slider1_forcefullwidth {
    height: 60px !important;
  }
  .logo a {
    text-align: center;
    margin: 0 auto;
  }
  .logo img {
    width: 100% !important;
    height: 80px;
  }
  .logo .logo-img01 {
    width: 73% !important;
    height: 100px;
    object-fit: contain;
  }
}

.project-thumbnail img {
  width: 100%;
  height: 300px;
  object-fit: cover;
}
